<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="www" id="requests-by-size" charttype="histogram">

 <lire:title>Number of Requests By Size WWW Report</lire:title>
 <lire:description>
  <para>This report shows the number of requests by request's size.</para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="range_size" type="bytes" default="1k">
   <lire:description>
    <para>This parameter controls the size of the first range class.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Number of Requests by Request's Size</lire:title>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:rangegroup field="requested_page_size"
   range-size="$range_size" size-scale="5"
   label="Size">
   <lire:count name="request_total" label="Requests"/>
   <lire:count name="request_ratio" ratio="table" label="% Total"/>
  </lire:rangegroup>
 </lire:report-calc-spec>

</lire:report-spec>
<!-- 
Keep this comment at the end of the file
Local variables:
mode: xml
-->
